%global srcname dogtag-ldapjdk
# Upstream version number:
%global major_version %%(echo %{version} | cut -d. -f1)
%global minor_version %%(echo %{version} | cut -d. -f2)
%global update_version %%(echo %{version} | cut -d. -f3)


Summary:          LDAP SDK
Name:             ldapjdk
Version:          5.4.0
Release:          3%{?dist}
License:          MPLv1.1 or GPLv2+ or LGPLv2+
URL:              https://github.com/dogtagpki/ldap-sdk
Source0:          https://github.com/dogtagpki/ldap-sdk/archive/v%{version}/ldap-sdk-%{version}.tar.gz

ExclusiveArch:  %{java_arches} noarch
BuildArch:        noarch

BuildRequires: jss = %{major_version}.%{minor_version}
BuildRequires: ant java-17-openjdk-devel javapackages-local slf4j slf4j-jdk14

%description
The Mozilla LDAP SDKs enable you to write applications which access,
manage, and update the information stored in an LDAP directory.

%package -n %{srcname}
Summary:          LDAP SDK
Requires:         java-17-openjdk-headless
Requires:         jpackage-utils >= 0:1.5
Requires:         slf4j slf4j-jdk14
Requires:         jss = %{major_version}.%{minor_version}

Obsoletes:        ldapjdk < %{version}-%{release}
Provides:         ldapjdk = %{version}-%{release}
Provides:         ldapjdk = %{major_version}.%{minor_version}
Provides:         %{srcname} = %{major_version}.%{minor_version}

%description -n %{srcname}
The Mozilla LDAP SDKs enable you to write applications which access,
manage, and update the information stored in an LDAP directory.


%package -n %{srcname}-javadoc
Summary:          Javadoc for LDAP SDK
Provides:         ldapjdk-javadoc = %{version}-%{release}
Provides:         ldapjdk-javadoc = %{major_version}.%{minor_version}
Provides:         %{srcname}-javadoc = %{major_version}.%{minor_version}

%description -n %{srcname}-javadoc
Javadoc for LDAP SDK

%prep
%autosetup -n ldap-sdk-%{version} -p1

%build
export JAVA_HOME=%{_jvmdir}/jre-17-openjdk

./build.sh \
    --work-dir=%{_vpath_builddir} \
    dist

%install

./build.sh \
    --work-dir=%{_vpath_builddir} \
    --java-lib-dir=%{_javadir} \
    --javadoc-dir=%{_javadocdir} \
    --install-dir=%{buildroot} \
    install

%files -n %{srcname}
%{_javadir}/ldapjdk.jar
%{_javadir}/ldapsp.jar
%{_javadir}/ldapfilt.jar
%{_javadir}/ldapbeans.jar
%{_javadir}/ldaptools.jar
%{_mavenpomdir}/JPP-ldapjdk.pom
%{_mavenpomdir}/JPP-ldapsp.pom
%{_mavenpomdir}/JPP-ldapfilter.pom
%{_mavenpomdir}/JPP-ldapbeans.pom
%{_mavenpomdir}/JPP-ldaptools.pom

%files -n %{srcname}-javadoc
%dir %{_javadocdir}/ldapjdk
%{_javadocdir}/ldapjdk/*

%changelog
* Mon Mar 25 2024 Rebuild Robot <rebot@opencloudos.org> - 5.4.0-3
- Rebuilt for java-17-konajdk

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.4.0-2
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Jul 13 2023 Wang Guodong <gordonwwang@tencent.com> - 5.4.0-1
- Upgrade to 5.4.0

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.2.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.2.0-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Mar 22 2023 cunshunxia <cunshunxia@tencent.com> - 5.2.0-1
- initial build
